/*******************************************************************************
 * Copyright(c) 2022 dongke All rights reserved. / Confidential
 * 类的信息：
 *		1.程序名称：
 * 编辑履历：
 *		作者				日期					版本				修改内容
 *		于继渤		 2024-1-23			1.00		    商品种类
 *******************************************************************************/
Page({

  /**
   * 页面的初始数据
   */
  data: {
    tableData: []
  },
  toChecked(e) {
    console.log(e)
    let index = e.currentTarget.dataset.index
    let tableData = this.data.tableData
    tableData.forEach(res => {
      res.checked = false
    })
    tableData[index].checked = true
    this.setData({
      tableData: tableData
    })
  },

  toAdd() {
    this.setData({
      showPopup: true
    })
  },
  /**
 * @desc : 关闭弹窗
 * @author : 于继渤
 * @date : 2024/1/23 9:16
 */
  onClosePopup() {
    this.setData({
      showPopup: false
    })
  },


  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    this.setData({

      tableData: [
        {
          name: '陶瓷类',
          code: 'PP00001',
          supplierName: '广东蒙娜丽莎新型材料集团有限公司',
          checked: false,
          arrow_1: false,
          arrow_1_list: []
        },
        {
          name: '浴室柜类',
          code: 'PP00002',
          checked: false,
          arrow_1: true,
          arrow_1_list: [
            {
              name: '原木柜',
              code: 'PP00002',
              checked: false,
              arrow_2: true,
              arrow_2_list: [
                {
                  name: '原木柜（主柜)',
                  code: 'PP00002',
                  checked: false,
                }
              ]
            }
          ]
        }
      ]
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})